## org.codehaus.groovy.ast.stmt
Class ThrowStatement

Represents a throw statement

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`Expression` | `expression`

Constructor Summary
`ThrowStatement(Expression expression)`

Method Summary
`Expression` | `getExpression()`
`void` | `setExpression(Expression expression)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### ThrowStatement

    public ThrowStatement(Expression expression)

Method Detail

### getExpression

    public Expression getExpression()

### setExpression

    public void setExpression(Expression expression)

### visit

    public void visit(GroovyCodeVisitor visitor)